Skip to main content
PATCH
/
v1
/
subscriptions
/
{subscription_id}
Update subscription
curl --request PATCH \
  --url https://api-sandbox.y.uno/v1/subscriptions/{subscription_id} \
  --header 'Content-Type: application/json' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>' \
  --data '
{
  "amount": {
    "currency": "BRL",
    "value": 79.9
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": {
    "currency": "BRL",
    "value": 100
  },
  "next_payment_date": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

Path Parameters

subscription_id
string<uuid>
required

The unique identifier of the subscription

Body

application/json
amount
object
Example:
{ "currency": "BRL", "value": 100 }
interval
enum<string>
Available options:
DAILY,
WEEKLY,
MONTHLY,
YEARLY
payment_method_id
string<uuid>

Updated payment method

Response

Subscription updated successfully

id
string<uuid>
status
enum<string>
Available options:
ACTIVE,
PAUSED,
CANCELLED,
PAST_DUE,
EXPIRED
amount
object
Example:
{ "currency": "BRL", "value": 100 }
interval
enum<string>
Available options:
DAILY,
WEEKLY,
MONTHLY,
YEARLY
next_payment_date
string<date-time>
created_at
string<date-time>
updated_at
string<date-time>